{ config, lib, ... }:

let
  inherit (config.networking) hostName;
  inherit (lib) optional;

  hostConfig = lib.config.site.hosts.${hostName};
in {
  imports = [
    { config = self.lib.config; }
    ./defaults.nix
    ../lib/config/options.nix
  ];
  # ++ optional (hostConfig.role == "server") [
  #   #./lxc-containers.nix
  # ]
  # ++ optional (hostConfig.role == "container") [
  #   ./container.nix
  # ];
}
